/***************************************************************************
 *   Copyright (C) 2009 by Rene Landert <rene.landert@bluewin.ch>          *
 *                                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "KchildlockDaemon.h"
#include "kchildlock.h"





// check active user against settings for application limitations
// ==============================================================
void KchildlockDaemon::check_user_against_applimits()
{

        char appcommand[100];
        FILE *fpipe;

	if (data->debugflag) {
		fprintf (data->debugf,"function=check_user_against_applimits user=%s disp=%s at %i.%i. %i:%i:%i\n", data->my_actuserstate.user.toAscii().constData(), data->my_actuserstate.disp.toAscii().constData(), data->my_actuserstate.date.day(), data->my_actuserstate.date.month(), data->my_actuserstate.time.hour(), data->my_actuserstate.time.minute(), data->my_actuserstate.time.second());
		fprintf (data->debugf,"appname1=%s appname2=%s appname3=%s\n", data->my_actuserstate.appname1.toAscii().constData(), data->my_actuserstate.appname2.toAscii().constData(), data->my_actuserstate.appname3.toAscii().constData());
                fflush(data->debugf);
                }


        //check if application 1 is active
        QDateTime currdt = QDateTime::currentDateTime ();
        currdt = QDateTime::currentDateTime ();
        currdt = QDateTime::currentDateTime ();
        data->my_actuserstate.time = currdt.time();
        data->my_actuserstate.secondofday = (currdt.time().hour() * 3600) + (currdt.time().minute() * 60) + currdt.time().second();

        // the shell command is ps ux | grep 'appname'| grep -v grep | wc -l

        sprintf(appcommand, "ps ux | grep \'%s\' | grep -v grep | wc -l", data->my_actuserstate.appname1.toAscii().constData());

        fpipe = (FILE*)popen(appcommand,"r");
        data->my_actuserstate.app1isactive = fgetc(fpipe) - '0';
        pclose(fpipe);

        if ((data->my_actuserstate.app1isactive > 0) && !(data->my_actuserstate.appname1.isEmpty())) {
           my_ctfile->app1usage_daily_ct = my_ctfile->app1usage_daily_ct + KchildlockSettings::scaninterval();
           my_ctfile->app1usage_weekly_ct = my_ctfile->app1usage_weekly_ct + KchildlockSettings::scaninterval();
           if (data->debugflag) {
	fprintf (data->debugf,"os-command for app1=%s result=%c\n", appcommand, data->my_actuserstate.app1isactive);
                fprintf (data->debugf,"app1usage_d=%i app1usage_w=%i\n", my_ctfile->app1usage_daily_ct, my_ctfile->app1usage_weekly_ct);
                fflush(data->debugf);
           }
           if ( my_ctfile->open(data->my_actuserstate.user) )  // if file could be opened
               my_ctfile->write();
           my_ctfile->close();

        }

        // the shell command is ps ux | grep 'appname'| grep -v grep | wc -l

        sprintf(appcommand, "ps ux | grep \'%s\' | grep -v grep | wc -l", data->my_actuserstate.appname2.toAscii().constData());

        fpipe = (FILE*)popen(appcommand,"r");
        data->my_actuserstate.app2isactive = fgetc(fpipe) - '0';
        pclose(fpipe);

        if ((data->my_actuserstate.app2isactive > 0) && !(data->my_actuserstate.appname2.isEmpty())) {
           my_ctfile->app2usage_daily_ct = my_ctfile->app2usage_daily_ct + KchildlockSettings::scaninterval();
           my_ctfile->app2usage_weekly_ct = my_ctfile->app2usage_weekly_ct + KchildlockSettings::scaninterval();
           if (data->debugflag) {
	fprintf (data->debugf,"os-command for app2=%s result=%c\n", appcommand, data->my_actuserstate.app2isactive);
                fprintf (data->debugf,"app2usage_d=%i app2usage_w=%i\n", my_ctfile->app2usage_daily_ct, my_ctfile->app2usage_weekly_ct);
                fflush(data->debugf);
           }
           if ( my_ctfile->open(data->my_actuserstate.user) )  // if file could be opened
              my_ctfile->write();
           my_ctfile->close();

        }

        // the shell command is ps ux | grep 'appname'| grep -v grep | wc -l

        sprintf(appcommand, "ps ux | grep \'%s\' | grep -v grep | wc -l", data->my_actuserstate.appname3.toAscii().constData());

        fpipe = (FILE*)popen(appcommand,"r");
        data->my_actuserstate.app3isactive = fgetc(fpipe) - '0';
        pclose(fpipe);

        if ((data->my_actuserstate.app3isactive > 0) && !(data->my_actuserstate.appname3.isEmpty())) {
           my_ctfile->app3usage_daily_ct = my_ctfile->app3usage_daily_ct + KchildlockSettings::scaninterval();
           my_ctfile->app3usage_weekly_ct = my_ctfile->app3usage_weekly_ct + KchildlockSettings::scaninterval();
           if (data->debugflag) {
	fprintf (data->debugf,"os-command for app3=%s result=%c\n", appcommand, data->my_actuserstate.app3isactive);
                fprintf (data->debugf,"app3usage_d=%i app3usage_w=%i\n", my_ctfile->app3usage_daily_ct, my_ctfile->app1usage_weekly_ct);
                fflush(data->debugf);
           }
           if ( my_ctfile->open(data->my_actuserstate.user) )  // if file could be opened
              my_ctfile->write();
           my_ctfile->close();

        }
		
// check daily application limits		
        check_daily_app_limits();

}

