/***************************************************************************
 *   Copyright (C) 2009 by Rene Landert <rene.landert@bluewin.ch>          *
 *                                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "KchildlockDaemon.h"
#include "kchildlock.h"





// check active user against settings for limitations
// ==================================================
void KchildlockDaemon::check_user_against_limits()
{

	if (data->debugflag) {
		fprintf (data->debugf,"function=check_user_against_limits user=%s disp=%s at %i.%i. %i:%i:%i\n", data->my_actuserstate.user.toAscii().constData(), data->my_actuserstate.disp.toAscii().constData(), data->my_actuserstate.date.day(), data->my_actuserstate.date.month(), data->my_actuserstate.time.hour(), data->my_actuserstate.time.minute(), data->my_actuserstate.time.second());
                fflush(data->debugf);
                }


	//check restrictions
//	data->username_ct = user;
	my_ctfile->pcusage_daily_ct = my_ctfile->pcusage_daily_ct + KchildlockSettings::scaninterval();
	my_ctfile->pcusage_weekly_ct = my_ctfile->pcusage_weekly_ct + KchildlockSettings::scaninterval();
        QDateTime currdt = QDateTime::currentDateTime ();
        currdt = QDateTime::currentDateTime ();
        currdt = QDateTime::currentDateTime ();
	data->my_actuserstate.time = currdt.time();
	data->my_actuserstate.secondofday = (currdt.time().hour() * 3600) + (currdt.time().minute() * 60) + currdt.time().second();
		
        if ( my_ctfile->open(data->my_actuserstate.user) )  // if file could be opened
            my_ctfile->write();
        my_ctfile->close();

		
// check daily usage limits		
	check_daily_usage_limits();
}

