/***************************************************************************
 *   Copyright (C) 2009 by Rene Landert <rene.landert@bluewin.ch>          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#define KCHILDLOCK_DEBUGFLAG true
#define KCHILDLOCK_WARNTIME3 900
#define KCHILDLOCK_WARNTIME2 600
#define KCHILDLOCK_WARNTIME1 300

#define KCHILDLOCK_NOWARNSTATE 10
#define KCHILDLOCK_WARNSTATE3 3
#define KCHILDLOCK_WARNSTATE2 2
#define KCHILDLOCK_WARNSTATE1 1
#define KCHILDLOCK_WARNSTATE0 0
#define KCHILDLOCK_WARNSTATE00 -1


#define ct_file_name_part1 "/var/opt/kchildlock/.kch_time_"
#define ct_file_name_part3 ".tmp"

#include <qstring.h>
#include <qfile.h>
#include "../common/kchildlockcommon.h"


class CT_file
{
public:
   CT_file();
   ~CT_file();

   QString ct_file_name;
   QFile *ct_file;

   QString version_ct;
   int weekofyear_ct;
   int dayofweek_ct;
   QString username_ct;
   int pcusage_daily_ct;
   int pcusage_weekly_ct;
   QString appname1_ct; QString appname2_ct; QString appname3_ct;
   int app1usage_daily_ct; int app1usage_weekly_ct;
   int app2usage_daily_ct; int app2usage_weekly_ct;
   int app3usage_daily_ct; int app3usage_weekly_ct;

   bool open(QString);
   void read();
   void write();
   void close();
   void set_default_values(QString);
   void reset_daily_values();
};
