/***************************************************************************
 *   Copyright (C) 2009 by Rene Landert <rene.landert@bluewin.ch>          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 **************************************************************************/

#include "KchildlockDaemon.h"

#include <klocale.h>
#include <kmessagebox.h>





// force termination of the application
// ====================================
void KchildlockDaemon::force_app_termination(QString appname)
{

   char appcommand[100];

   if (data->debugflag) {
		fprintf (data->debugf,"function=force_app_termination user=%s disp=%s app=%s at %i.%i. %i:%i:%i\n", data->my_actuserstate.user.toAscii().constData(), data->my_actuserstate.disp.toAscii().constData(), appname.toAscii().constData(), data->my_actuserstate.date.day(), data->my_actuserstate.date.month(), data->my_actuserstate.time.hour(), data->my_actuserstate.time.minute(), data->my_actuserstate.time.second());
   }

   // the shell command is: killall -u 'username' -s SIGNAME 'appname'
   // signals are SIGHUP, SIGQUIT, SIGKILL, SIGTERM

   sprintf(appcommand, "killall -u %s -s SIGHUP %s", data->my_actuserstate.user.toAscii().constData(), appname.toAscii().constData());
   system(appcommand);
   sleep(3);
   sprintf(appcommand, "killall -u %s -s SIGQUIT %s", data->my_actuserstate.user.toAscii().constData(), appname.toAscii().constData());
   system(appcommand);
   sleep(3);
   sprintf(appcommand, "killall -u %s -s SIGKILL %s", data->my_actuserstate.user.toAscii().constData(), appname.toAscii().constData());
   system(appcommand);
   sleep(3);
   sprintf(appcommand, "killall -u %s -s SIGTERM %s", data->my_actuserstate.user.toAscii().constData(), appname.toAscii().constData());
   system(appcommand);

}






// display a warning message and eventually finish the application
// ===============================================================
void KchildlockDaemon::warning_or_finish_application (QString appname, int warn_level)
{
	
		
// set the environment and display the notification to the user

	if (data->debugflag) 
		fprintf (data->debugf,"function=warning_or_finish_application begin user=%s disp=%s warnlevel=%i at %i.%i. %i:%i:%i\n", data->my_actuserstate.user.toAscii().constData(), data->my_actuserstate.disp.toAscii().constData(), warn_level, data->my_actuserstate.date.day(), data->my_actuserstate.date.month(), data->my_actuserstate.time.hour(), data->my_actuserstate.time.minute(), data->my_actuserstate.time.second());


	if (warn_level == KCHILDLOCK_WARNSTATE3)
	{
//           KNotification::event("warning3", I18N_NOOP("The Usage time for you is restricted. You will be automatically logged out in 15 minutes."), KIcon("pattern-xfce").pixmap(20, 20), 0, KNotification::CloseOnTimeout, data->applicationData);
           KMessageBox::queuedMessageBox (0, KMessageBox::Error, I18N_NOOP("The Usage time for your application \'") + appname + I18N_NOOP("\' is restricted. The application will be automatically terminated in 15 minutes."), I18N_NOOP("Children Lock"));
	}
	else if (warn_level == KCHILDLOCK_WARNSTATE2)
	{
//           KNotification::event("warning2", I18N_NOOP("The Usage time for you is restricted. You will be automatically logged out in 10 minutes."), KIcon("pattern-xfce").pixmap(20, 20), 0, KNotification::CloseOnTimeout, data->applicationData);
           KMessageBox::queuedMessageBox (0, KMessageBox::Error, I18N_NOOP("The Usage time for your application \'") + appname + I18N_NOOP("\' is restricted. The application will be automatically terminated in 10 minutes."), I18N_NOOP("Children Lock"));
	}
	else if (warn_level == KCHILDLOCK_WARNSTATE1)
	{
//           KNotification::event("warning1", I18N_NOOP("The Usage time for you is restricted. You will be automatically logged out in 5 minutes."), KIcon("pattern-xfce").pixmap(20, 20), 0, KNotification::CloseOnTimeout, data->applicationData);
           KMessageBox::queuedMessageBox (0, KMessageBox::Error, I18N_NOOP("The Usage time for your application \'") + appname + I18N_NOOP("\' is restricted. The application will be automatically terminated in 5 minutes."), I18N_NOOP("Children Lock"));
	}
	else if (warn_level == KCHILDLOCK_WARNSTATE0)
	{
//           KNotification::event("warning0", I18N_NOOP("The Usage time for you is restricted. You will be automatically logged out in 30 seconds."), KIcon("pattern-xfce").pixmap(20, 20), 0, KNotification::Persistent, data->applicationData);
           KMessageBox::queuedMessageBox (0, KMessageBox::Error, I18N_NOOP("The Usage time for your application \'") + appname + I18N_NOOP("\' is restricted. The application will be automatically terminated in 1 minute."), I18N_NOOP("Children Lock"));
	} else
	{
		// wrong calling parameter
	}


// logout the user after 20 seconds
	if (warn_level == KCHILDLOCK_WARNSTATE00)
	{
//		sleep (30);
		if (data->debugflag) 
			fprintf (data->debugf,"function=warning_or_finish_application end at %i.%i. %i:%i:%i\n", data->my_actuserstate.date.day(), data->my_actuserstate.date.month(), data->my_actuserstate.time.hour(), data->my_actuserstate.time.minute(), data->my_actuserstate.time.second());

		force_app_termination(appname);
	
	}
	
}

