/***************************************************************************
 *   Copyright (C) 2009 by Rene Landert <rene.landert@bluewin.ch>          *
 *                                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "KchildlockConf.h"
#include "KchildlockKCM.h"
#include "kchildlock.h"

#include <kuser.h>

#include <sys/stat.h>
#include <qfile.h>

KchildlockConf::KchildlockConf(QWidget *parent, const char *name, KConfigSkeleton *config) : KConfigDialog( parent, name, config) //,
/*    general(new Ui_generalPage::Ui_generalPage()),
    user1(new Ui_userPage::Ui_userPage()),
    user2(new Ui_userPage::Ui_userPage()),
    user3(new Ui_userPage::Ui_userPage()),
    user4(new Ui_userPage::Ui_userPage()),
    user5(new Ui_userPage::Ui_userPage()),
    group1(new Ui_groupPage::Ui_groupPage()),
    group2(new Ui_groupPage::Ui_groupPage()),
    group3(new Ui_groupPage::Ui_groupPage()) */
{

	setFaceType(List);
	setButtons(0);
 	setModal(true);

 	QFrame *page1 = new QFrame( this );
//	Ui_generalPage *general = new Ui_generalPage();
	general = new Ui_generalPage();
	general->setupUi(page1);	
	addPage ( page1, i18n ( "General" ), "configure", i18n ( "General Settings") );

 	QFrame *page2 = new QFrame( this );
//	Ui_user1Page *user1 = new Ui_user1Page();
                user1 = new Ui_userPage();
	user1->setupUi(page2);	
	user1->kcfg_username->insertItem(-1, KchildlockSettings::usernamestring_u1());
	user1->kcfg_username->insertItems (1, this->getlistofusers());
	user1->textLabel2->setText(i18n("User Name"));
	user1->GroupBox1->setTitle(i18n("Restrictions for User 1"));
                user1->TimeWidget->setCurrentIndex(0);
	addPage ( page2, i18n ( "User 1" ), "list-add-user", i18n ( "Settings for User 1" ) );
	
 	QFrame *page3 = new QFrame( this );
//	Ui_user2Page *user2 = new Ui_user2Page();
                user2 = new Ui_userPage();
	user2->setupUi(page3);	
	user2->kcfg_username->insertItem(-1, KchildlockSettings::usernamestring_u2());
	user2->kcfg_username->insertItems (1, this->getlistofusers());
	user2->textLabel2->setText(i18n("User Name"));
	user2->GroupBox1->setTitle(i18n("Restrictions for User 2"));
                user2->TimeWidget->setCurrentIndex(0);
	addPage ( page3, i18n ( "User 2" ), "list-add-user", i18n ( "Settings for User 2" ) );

 	QFrame *page4 = new QFrame( this );
//	Ui_user3Page *user3 = new Ui_user3Page();
                user3 = new Ui_userPage();
	user3->setupUi(page4);	
	user3->kcfg_username->insertItem(-1, KchildlockSettings::usernamestring_u3());
	user3->kcfg_username->insertItems (1, this->getlistofusers());
	user3->textLabel2->setText(i18n("User Name"));
	user3->GroupBox1->setTitle(i18n("Restrictions for User 3"));
                user3->TimeWidget->setCurrentIndex(0);
	addPage ( page4, i18n ( "User 3" ), "list-add-user", i18n ( "Settings for User 3" ) );

 	QFrame *page5 = new QFrame( this );
//	Ui_user4Page *user4 = new Ui_user4Page();
                user4 = new Ui_userPage();
	user4->setupUi(page5);	
	user4->kcfg_username->insertItem(-1, KchildlockSettings::usernamestring_u4());
	user4->kcfg_username->insertItems (1, this->getlistofusers());
	user4->textLabel2->setText(i18n("User Name"));
	user4->GroupBox1->setTitle(i18n("Restrictions for User 4"));
                user4->TimeWidget->setCurrentIndex(0);
	addPage ( page5, i18n ( "User 4" ), "list-add-user", i18n ( "Settings for User 4" ) );

 	QFrame *page6 = new QFrame( this );
//	Ui_user5Page *user5 = new Ui_user5Page();
                user5 = new Ui_userPage();
	user5->setupUi(page6);	
	user5->kcfg_username->insertItem(-1, KchildlockSettings::usernamestring_u5());
	user5->kcfg_username->insertItems (1, this->getlistofusers());
	user5->textLabel2->setText(i18n("User Name"));
	user5->GroupBox1->setTitle(i18n("Restrictions for User 5"));
                user5->TimeWidget->setCurrentIndex(0);
	addPage ( page6, i18n ( "User 5" ), "list-add-user", i18n ( "Settings for User 5" ) );

 	QFrame *page7 = new QFrame( this );
//	Ui_group1Page *group1 = new Ui_group1Page();
                group1 = new Ui_groupPage();
	group1->setupUi(page7);	
	group1->kcfg_username->insertItem(-1,KchildlockSettings::groupnamestring_g1());
	group1->kcfg_username->insertItems (1, this->getlistofgroups());
	group1->textLabel2->setText(i18n("Group Name"));
	group1->GroupBox1->setTitle(i18n("Restrictions for Group 1"));
                group1->TimeWidget->setCurrentIndex(0);
	addPage ( page7, i18n ( "Group 1" ), "user-group-new", i18n ( "Settings for Group 1") );

 	QFrame *page8 = new QFrame( this );
//	Ui_group2Page *group2 = new Ui_group2Page();
                group2 = new Ui_groupPage();
	group2->setupUi(page8);	
	group2->kcfg_username->insertItem(-1,KchildlockSettings::groupnamestring_g2());
	group2->kcfg_username->insertItems (1, this->getlistofgroups());
	group2->textLabel2->setText(i18n("Group Name"));
	group2->GroupBox1->setTitle(i18n("Restrictions for Group 2"));
                group2->TimeWidget->setCurrentIndex(0);
	addPage ( page8, i18n ( "Group 2" ), "user-group-new", i18n ( "Settings for Group 2" ) );

 	QFrame *page9 = new QFrame( this );
//	Ui_group3Page *group3 = new Ui_group3Page();
                group3 = new Ui_groupPage();
	group3->setupUi(page9);	
	group3->kcfg_username->insertItem(-1,KchildlockSettings::groupnamestring_g3());
	group3->kcfg_username->insertItems (1, this->getlistofgroups());
	group3->textLabel2->setText(i18n("Group Name"));
	group3->GroupBox1->setTitle(i18n("Restrictions for Group 3"));
                group3->TimeWidget->setCurrentIndex(0);
	addPage ( page9, i18n ( "Group 3" ), "user-group-new", i18n ( "Settings for Group 3" ) );

                fillValuesInGui_u1(user1);
                fillValuesInGui_u2(user2);
                fillValuesInGui_u3(user3);
                fillValuesInGui_u4(user4);
                fillValuesInGui_u5(user5);
                fillValuesInGui_g1(group1);
                fillValuesInGui_g2(group2);
                fillValuesInGui_g3(group3);
 
	
	updateConfiguration();

	KchildlockConf::connect_general();
	KchildlockConf::connect_u1();
	KchildlockConf::connect_u2();
	KchildlockConf::connect_u3();
	KchildlockConf::connect_u4();
	KchildlockConf::connect_u5();
	KchildlockConf::connect_g1();
	KchildlockConf::connect_g2();
	KchildlockConf::connect_g3();

	show();
}

KchildlockConf::~KchildlockConf()
{
}


void KchildlockConf::updateConfiguration()
{
    KUser* myKusers = new KUser();
    KUser myKuser;
    KUserGroup* myKgroups = new KUserGroup();
    QStringList fulluserlist, effuserlist, grouplist;
    grouplist = myKgroups->allGroupNames();
    fulluserlist = myKusers->allUserNames();
    effuserlist = QStringList();
    for ( QStringList::Iterator it = fulluserlist.begin(); it != fulluserlist.end(); ++it ) {
	myKuser = KUser(*it);
	if (myKuser.uid() >= USERIDLOWLIMIT) {
	   effuserlist.append(*it);
	}
    }		

    if (KchildlockSettings::sameRestrict_u1()){
       KchildlockSettings::setDiffRestrict_u1(FALSE);
       KchildlockConf::disableDifferentSettings_u1();
    } else {
       KchildlockSettings::setDiffRestrict_u1(TRUE);
       KchildlockConf::disableSameSettings_u1();
    }

    if (KchildlockSettings::sameRestrict_u2()){
       KchildlockSettings::setDiffRestrict_u2(FALSE);
       KchildlockConf::disableDifferentSettings_u2();
    } else {
       KchildlockSettings::setDiffRestrict_u2(TRUE);
       KchildlockConf::disableSameSettings_u2();
    }

    if (KchildlockSettings::sameRestrict_u3()){
       KchildlockSettings::setDiffRestrict_u3(FALSE);
       KchildlockConf::disableDifferentSettings_u3();
    } else {
       KchildlockSettings::setDiffRestrict_u3(TRUE);
       KchildlockConf::disableSameSettings_u3();
    }

    if (KchildlockSettings::sameRestrict_u4()){
       KchildlockSettings::setDiffRestrict_u4(FALSE);
       KchildlockConf::disableDifferentSettings_u4();
    } else {
       KchildlockSettings::setDiffRestrict_u4(TRUE);
       KchildlockConf::disableSameSettings_u4();
    }

    if (KchildlockSettings::sameRestrict_u5()){
       KchildlockSettings::setDiffRestrict_u5(FALSE);
       KchildlockConf::disableDifferentSettings_u5();
    } else {
       KchildlockSettings::setDiffRestrict_u5(TRUE);
       KchildlockConf::disableSameSettings_u5();
    }

    if (KchildlockSettings::sameRestrict_g1()){
       KchildlockSettings::setDiffRestrict_g1(FALSE);
       KchildlockConf::disableDifferentSettings_g1();
    } else {
       KchildlockSettings::setDiffRestrict_g1(TRUE);
       KchildlockConf::disableSameSettings_g1();
    }

    if (KchildlockSettings::sameRestrict_g2()){
       KchildlockSettings::setDiffRestrict_g2(FALSE);
       KchildlockConf::disableDifferentSettings_g2();
    } else {
       KchildlockSettings::setDiffRestrict_g2(TRUE);
       KchildlockConf::disableSameSettings_g2();
    }

    if (KchildlockSettings::sameRestrict_g3()){
       KchildlockSettings::setDiffRestrict_g3(FALSE);
       KchildlockConf::disableDifferentSettings_g3();
    } else {
       KchildlockSettings::setDiffRestrict_g3(TRUE);
       KchildlockConf::disableSameSettings_g3();
    }

    emit kchildlockModified(true);
}






QStringList KchildlockConf::getlistofusers()
{
    KUser* myKusers = new KUser();
    KUser myKuser;
    QStringList fulluserlist, effuserlist;
    fulluserlist = myKusers->allUserNames();
    effuserlist = QStringList();
    for ( QStringList::Iterator it = fulluserlist.begin(); it != fulluserlist.end(); ++it ) {
	myKuser = KUser(*it);
	if (myKuser.uid() >= USERIDLOWLIMIT) {
	   effuserlist.append(*it);
	}
    }		
    return effuserlist;
}


QStringList KchildlockConf::getlistofgroups()
{
    KUserGroup* myKgroups = new KUserGroup();
    KUserGroup myKgroup;
    QStringList fullgrouplist, effgrouplist;
    fullgrouplist = myKgroups->allGroupNames();
    effgrouplist = QStringList();
    for ( QStringList::Iterator it = fullgrouplist.begin(); it != fullgrouplist.end(); ++it ) {
	myKgroup = KUserGroup(*it);
	if (myKgroup.gid() >= GROUPIDLOWLIMIT) {
	   effgrouplist.append(*it);
	}
    }		
    return effgrouplist;
}


void KchildlockConf::save()
{
   kDebug() << "Message Conf save";
   KchildlockSettings::self()->writeConfig();

//   KchildlockSettings::self()->sync();
   KConfig *myorigconfig = KchildlockSettings::self()->config();
   myorigconfig->sync();
   QString newconfigpath = KStandardDirs::installPath("config").append("kchildlockrc");
   kDebug() << "newconfigpath is " << newconfigpath ;
   QString movecommand = "cp -f ";
   if (QFile::exists("/root/.kde4/share/config/kchildlockrc")) {
      movecommand = movecommand + "/root/.kde4/share/config/kchildlockrc " + newconfigpath;
   } else {
      movecommand = movecommand + "/root/.kde/share/config/kchildlockrc " + newconfigpath;
   };
   system(movecommand.toAscii().constData());
   chmod(newconfigpath.toAscii().constData(),  S_IRUSR|S_IWUSR|S_IRGRP|S_IROTH);

}



void KchildlockConf::load()
{
   kDebug() << "Message Conf load";
   KchildlockSettings::self()->readConfig();
   fillValuesInGui_u1(user1);
   fillValuesInGui_u2(user2);
   fillValuesInGui_u3(user3);
   fillValuesInGui_u4(user4);
   fillValuesInGui_u5(user5);
   fillValuesInGui_g1(group1);
   fillValuesInGui_g2(group2);
   fillValuesInGui_g3(group3);
   updateConfiguration();

}
