/***************************************************************************
 *   Copyright (C) 2009 by Rene Landert <rene.landert@bluewin.ch>          *
 *                                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "KchildlockConf.h"
#include "KchildlockKCM.h"
#include "kchildlock.h"



void KchildlockConf::connect_general()
{
// connections for general page
    connect(general->kcfg_scaninterval, SIGNAL(valueChanged(int)), SLOT(emitChanged_scaninterval(int)));
    connect(general->kcfg_enable_restrictions, SIGNAL(stateChanged(int)), SLOT(emitChanged_enable_restrictions(int)));
}


void KchildlockConf::connect_u1()
{
//connections for user1 page
    connect(user1->kcfg_enabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_enabled_u1(int)));
    connect(user1->kcfg_username, SIGNAL(activated(QString)), SLOT(emitChanged_username_u1(QString)));
    connect(user1->kcfg_sameRestrict, SIGNAL(toggled(bool)), SLOT(emitChanged_sameRestrict_u1(bool)));
    connect(user1->kcfg_diffRestrict, SIGNAL(toggled(bool)), SLOT(emitChanged_diffRestrict_u1(bool)));

    connect(user1->kcfg_DAYfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_DAYfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_DAYtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_DAYtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_DAYmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_DAYmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));

    connect(user1->kcfg_MONenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_MONfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_MONfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_MONtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_MONtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_MONmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_MONmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));

    connect(user1->kcfg_TUEenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_TUEfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_TUEfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_TUEtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_TUEtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_TUEmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_TUEmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));

    connect(user1->kcfg_WEDenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_WEDfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_WEDfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_WEDtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_WEDtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_WEDmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_WEDmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));

    connect(user1->kcfg_THUenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_THUfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_THUfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_THUtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_THUtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_THUmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_THUmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));

    connect(user1->kcfg_FRIenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_FRIfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_FRIfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_FRItohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_FRItomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_FRImaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_FRImaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));

    connect(user1->kcfg_SATenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_SATfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_SATfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_SATtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_SATtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_SATmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_SATmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));

    connect(user1->kcfg_SUNenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_SUNfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_SUNfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_SUNtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_SUNtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_SUNmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_SUNmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));

    connect(user1->kcfg_WEEKenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_WEEKmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_WEEKmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));

    connect(user1->kcfg_AppName1, SIGNAL(textChanged(QString)), SLOT(emitChanged_appname_u1(QString)));
    connect(user1->kcfg_App1fromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App1frommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App1tohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App1tomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App1maxDhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App1maxDmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App1maxWhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App1maxWmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));

    connect(user1->kcfg_AppName2, SIGNAL(textChanged(QString)), SLOT(emitChanged_appname_u1(QString)));
    connect(user1->kcfg_App2fromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App2frommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App2tohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App2tomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App2maxDhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App2maxDmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App2maxWhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App2maxWmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));

    connect(user1->kcfg_AppName3, SIGNAL(textChanged(QString)), SLOT(emitChanged_appname_u1(QString)));
    connect(user1->kcfg_App3fromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App3frommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App3tohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App3tomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App3maxDhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App3maxDmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App3maxWhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));
    connect(user1->kcfg_App3maxWmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u1(int)));

}


void KchildlockConf::connect_u2()
{
//connections for user2 page
    connect(user2->kcfg_enabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_enabled_u2(int)));
    connect(user2->kcfg_username, SIGNAL(activated(QString)), SLOT(emitChanged_username_u2(QString)));
    connect(user2->kcfg_sameRestrict, SIGNAL(toggled(bool)), SLOT(emitChanged_sameRestrict_u2(bool)));
    connect(user2->kcfg_diffRestrict, SIGNAL(toggled(bool)), SLOT(emitChanged_diffRestrict_u2(bool)));

    connect(user2->kcfg_DAYfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_DAYfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_DAYtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_DAYtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_DAYmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_DAYmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));

    connect(user2->kcfg_MONenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_MONfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_MONfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_MONtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_MONtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_MONmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_MONmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));

    connect(user2->kcfg_TUEenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_TUEfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_TUEfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_TUEtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_TUEtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_TUEmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_TUEmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));

    connect(user2->kcfg_WEDenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_WEDfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_WEDfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_WEDtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_WEDtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_WEDmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_WEDmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));

    connect(user2->kcfg_THUenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_THUfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_THUfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_THUtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_THUtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_THUmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_THUmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));

    connect(user2->kcfg_FRIenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_FRIfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_FRIfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_FRItohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_FRItomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_FRImaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_FRImaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));

    connect(user2->kcfg_SATenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_SATfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_SATfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_SATtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_SATtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_SATmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_SATmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));

    connect(user2->kcfg_SUNenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_SUNfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_SUNfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_SUNtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_SUNtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_SUNmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_SUNmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));

    connect(user2->kcfg_WEEKenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_WEEKmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_WEEKmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));

    connect(user2->kcfg_AppName1, SIGNAL(textChanged(QString)), SLOT(emitChanged_appname_u2(QString)));
    connect(user2->kcfg_App1fromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App1frommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App1tohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App1tomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App1maxDhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App1maxDmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App1maxWhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App1maxWmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));

    connect(user2->kcfg_AppName2, SIGNAL(textChanged(QString)), SLOT(emitChanged_appname_u2(QString)));
    connect(user2->kcfg_App2fromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App2frommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App2tohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App2tomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App2maxDhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App2maxDmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App2maxWhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App2maxWmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));

    connect(user2->kcfg_AppName3, SIGNAL(textChanged(QString)), SLOT(emitChanged_appname_u2(QString)));
    connect(user2->kcfg_App3fromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App3frommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App3tohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App3tomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App3maxDhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App3maxDmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App3maxWhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));
    connect(user2->kcfg_App3maxWmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u2(int)));

}


void KchildlockConf::connect_u3()
{
//connections for user3 page
    connect(user3->kcfg_enabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_enabled_u3(int)));
    connect(user3->kcfg_username, SIGNAL(activated(QString)), SLOT(emitChanged_username_u3(QString)));
    connect(user3->kcfg_sameRestrict, SIGNAL(toggled(bool)), SLOT(emitChanged_sameRestrict_u3(bool)));
    connect(user3->kcfg_diffRestrict, SIGNAL(toggled(bool)), SLOT(emitChanged_diffRestrict_u3(bool)));

    connect(user3->kcfg_DAYfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_DAYfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_DAYtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_DAYtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_DAYmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_DAYmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));

    connect(user3->kcfg_MONenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_MONfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_MONfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_MONtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_MONtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_MONmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_MONmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));

    connect(user3->kcfg_TUEenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_TUEfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_TUEfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_TUEtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_TUEtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_TUEmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_TUEmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));

    connect(user3->kcfg_WEDenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_WEDfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_WEDfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_WEDtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_WEDtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_WEDmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_WEDmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));

    connect(user3->kcfg_THUenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_THUfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_THUfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_THUtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_THUtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_THUmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_THUmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));

    connect(user3->kcfg_FRIenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_FRIfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_FRIfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_FRItohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_FRItomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_FRImaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_FRImaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));

    connect(user3->kcfg_SATenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_SATfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_SATfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_SATtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_SATtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_SATmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_SATmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));

    connect(user3->kcfg_SUNenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_SUNfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_SUNfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_SUNtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_SUNtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_SUNmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_SUNmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));

    connect(user3->kcfg_WEEKenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_WEEKmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_WEEKmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));

    connect(user3->kcfg_AppName1, SIGNAL(textChanged(QString)), SLOT(emitChanged_appname_u3(QString)));
    connect(user3->kcfg_App1fromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App1frommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App1tohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App1tomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App1maxDhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App1maxDmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App1maxWhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App1maxWmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));

    connect(user3->kcfg_AppName2, SIGNAL(textChanged(QString)), SLOT(emitChanged_appname_u3(QString)));
    connect(user3->kcfg_App2fromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App2frommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App2tohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App2tomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App2maxDhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App2maxDmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App2maxWhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App2maxWmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));

    connect(user3->kcfg_AppName3, SIGNAL(textChanged(QString)), SLOT(emitChanged_appname_u3(QString)));
    connect(user3->kcfg_App3fromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App3frommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App3tohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App3tomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App3maxDhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App3maxDmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App3maxWhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));
    connect(user3->kcfg_App3maxWmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u3(int)));

}


void KchildlockConf::connect_u4()
{
//connections for user4 page
    connect(user4->kcfg_enabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_enabled_u4(int)));
    connect(user4->kcfg_username, SIGNAL(activated(QString)), SLOT(emitChanged_username_u4(QString)));
    connect(user4->kcfg_sameRestrict, SIGNAL(toggled(bool)), SLOT(emitChanged_sameRestrict_u4(bool)));
    connect(user4->kcfg_diffRestrict, SIGNAL(toggled(bool)), SLOT(emitChanged_diffRestrict_u4(bool)));

    connect(user4->kcfg_DAYfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_DAYfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_DAYtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_DAYtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_DAYmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_DAYmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));

    connect(user4->kcfg_MONenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_MONfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_MONfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_MONtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_MONtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_MONmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_MONmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));

    connect(user4->kcfg_TUEenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_TUEfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_TUEfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_TUEtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_TUEtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_TUEmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_TUEmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));

    connect(user4->kcfg_WEDenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_WEDfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_WEDfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_WEDtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_WEDtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_WEDmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_WEDmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));

    connect(user4->kcfg_THUenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_THUfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_THUfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_THUtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_THUtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_THUmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_THUmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));

    connect(user4->kcfg_FRIenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_FRIfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_FRIfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_FRItohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_FRItomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_FRImaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_FRImaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));

    connect(user4->kcfg_SATenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_SATfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_SATfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_SATtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_SATtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_SATmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_SATmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));

    connect(user4->kcfg_SUNenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_SUNfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_SUNfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_SUNtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_SUNtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_SUNmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_SUNmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));

    connect(user4->kcfg_WEEKenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_WEEKmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_WEEKmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));

    connect(user4->kcfg_AppName1, SIGNAL(textChanged(QString)), SLOT(emitChanged_appname_u4(QString)));
    connect(user4->kcfg_App1fromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App1frommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App1tohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App1tomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App1maxDhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App1maxDmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App1maxWhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App1maxWmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));

    connect(user4->kcfg_AppName2, SIGNAL(textChanged(QString)), SLOT(emitChanged_appname_u4(QString)));
    connect(user4->kcfg_App2fromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App2frommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App2tohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App2tomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App2maxDhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App2maxDmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App2maxWhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App2maxWmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));

    connect(user4->kcfg_AppName3, SIGNAL(textChanged(QString)), SLOT(emitChanged_appname_u4(QString)));
    connect(user4->kcfg_App3fromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App3frommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App3tohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App3tomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App3maxDhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App3maxDmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App3maxWhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));
    connect(user4->kcfg_App3maxWmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u4(int)));

}


void KchildlockConf::connect_u5()
{
//connections for user5 page
    connect(user5->kcfg_enabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_enabled_u5(int)));
    connect(user5->kcfg_username, SIGNAL(activated(QString)), SLOT(emitChanged_username_u5(QString)));
    connect(user5->kcfg_sameRestrict, SIGNAL(toggled(bool)), SLOT(emitChanged_sameRestrict_u5(bool)));
    connect(user5->kcfg_diffRestrict, SIGNAL(toggled(bool)), SLOT(emitChanged_diffRestrict_u5(bool)));

    connect(user5->kcfg_DAYfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_DAYfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_DAYtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_DAYtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_DAYmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_DAYmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));

    connect(user5->kcfg_MONenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_MONfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_MONfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_MONtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_MONtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_MONmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_MONmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));

    connect(user5->kcfg_TUEenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_TUEfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_TUEfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_TUEtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_TUEtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_TUEmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_TUEmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));

    connect(user5->kcfg_WEDenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_WEDfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_WEDfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_WEDtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_WEDtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_WEDmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_WEDmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));

    connect(user5->kcfg_THUenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_THUfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_THUfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_THUtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_THUtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_THUmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_THUmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));

    connect(user5->kcfg_FRIenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_FRIfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_FRIfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_FRItohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_FRItomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_FRImaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_FRImaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));

    connect(user5->kcfg_SATenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_SATfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_SATfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_SATtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_SATtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_SATmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_SATmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));

    connect(user5->kcfg_SUNenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_SUNfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_SUNfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_SUNtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_SUNtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_SUNmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_SUNmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));

    connect(user5->kcfg_WEEKenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_WEEKmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_WEEKmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));

    connect(user5->kcfg_AppName1, SIGNAL(textChanged(QString)), SLOT(emitChanged_appname_u5(QString)));
    connect(user5->kcfg_App1fromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App1frommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App1tohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App1tomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App1maxDhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App1maxDmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App1maxWhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App1maxWmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));

    connect(user5->kcfg_AppName2, SIGNAL(textChanged(QString)), SLOT(emitChanged_appname_u5(QString)));
    connect(user5->kcfg_App2fromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App2frommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App2tohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App2tomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App2maxDhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App2maxDmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App2maxWhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App2maxWmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));

    connect(user5->kcfg_AppName3, SIGNAL(textChanged(QString)), SLOT(emitChanged_appname_u5(QString)));
    connect(user5->kcfg_App3fromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App3frommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App3tohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App3tomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App3maxDhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App3maxDmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App3maxWhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));
    connect(user5->kcfg_App3maxWmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_u5(int)));

}


void KchildlockConf::connect_g1()
{
//connections for group1 page
    connect(group1->kcfg_enabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_enabled_g1(int)));
    connect(group1->kcfg_username, SIGNAL(activated(QString)), SLOT(emitChanged_groupname_g1(QString)));
    connect(group1->kcfg_sameRestrict, SIGNAL(toggled(bool)), SLOT(emitChanged_sameRestrict_g1(bool)));
    connect(group1->kcfg_diffRestrict, SIGNAL(toggled(bool)), SLOT(emitChanged_diffRestrict_g1(bool)));

    connect(group1->kcfg_DAYfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_DAYfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_DAYtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_DAYtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_DAYmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_DAYmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));

    connect(group1->kcfg_MONenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_MONfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_MONfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_MONtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_MONtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_MONmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_MONmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));

    connect(group1->kcfg_TUEenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_TUEfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_TUEfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_TUEtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_TUEtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_TUEmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_TUEmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));

    connect(group1->kcfg_WEDenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_WEDfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_WEDfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_WEDtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_WEDtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_WEDmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_WEDmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));

    connect(group1->kcfg_THUenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_THUfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_THUfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_THUtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_THUtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_THUmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_THUmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));

    connect(group1->kcfg_FRIenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_FRIfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_FRIfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_FRItohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_FRItomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_FRImaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_FRImaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));

    connect(group1->kcfg_SATenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_SATfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_SATfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_SATtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_SATtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_SATmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_SATmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));

    connect(group1->kcfg_SUNenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_SUNfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_SUNfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_SUNtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_SUNtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_SUNmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_SUNmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));

    connect(group1->kcfg_WEEKenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_WEEKmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
    connect(group1->kcfg_WEEKmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g1(int)));
}


void KchildlockConf::connect_g2()
{
//connections for group2 page
    connect(group2->kcfg_enabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_enabled_g2(int)));
    connect(group2->kcfg_username, SIGNAL(activated(QString)), SLOT(emitChanged_groupname_g2(QString)));
    connect(group2->kcfg_sameRestrict, SIGNAL(toggled(bool)), SLOT(emitChanged_sameRestrict_g2(bool)));
    connect(group2->kcfg_diffRestrict, SIGNAL(toggled(bool)), SLOT(emitChanged_diffRestrict_g2(bool)));

    connect(group2->kcfg_DAYfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_DAYfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_DAYtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_DAYtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_DAYmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_DAYmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));

    connect(group2->kcfg_MONenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_MONfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_MONfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_MONtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_MONtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_MONmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_MONmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));

    connect(group2->kcfg_TUEenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_TUEfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_TUEfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_TUEtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_TUEtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_TUEmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_TUEmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));

    connect(group2->kcfg_WEDenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_WEDfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_WEDfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_WEDtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_WEDtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_WEDmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_WEDmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));

    connect(group2->kcfg_THUenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_THUfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_THUfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_THUtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_THUtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_THUmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_THUmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));

    connect(group2->kcfg_FRIenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_FRIfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_FRIfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_FRItohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_FRItomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_FRImaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_FRImaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));

    connect(group2->kcfg_SATenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_SATfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_SATfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_SATtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_SATtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_SATmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_SATmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));

    connect(group2->kcfg_SUNenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_SUNfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_SUNfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_SUNtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_SUNtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_SUNmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_SUNmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));

    connect(group2->kcfg_WEEKenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_WEEKmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
    connect(group2->kcfg_WEEKmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g2(int)));
}


void KchildlockConf::connect_g3()
{

//connections for group3 page
    connect(group3->kcfg_enabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_enabled_g3(int)));
    connect(group3->kcfg_username, SIGNAL(activated(QString)), SLOT(emitChanged_groupname_g3(QString)));
    connect(group3->kcfg_sameRestrict, SIGNAL(toggled(bool)), SLOT(emitChanged_sameRestrict_g3(bool)));
    connect(group3->kcfg_diffRestrict, SIGNAL(toggled(bool)), SLOT(emitChanged_diffRestrict_g3(bool)));

    connect(group3->kcfg_DAYfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_DAYfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_DAYtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_DAYtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_DAYmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_DAYmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));

    connect(group3->kcfg_MONenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_MONfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_MONfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_MONtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_MONtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_MONmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_MONmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));

    connect(group3->kcfg_TUEenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_TUEfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_TUEfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_TUEtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_TUEtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_TUEmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_TUEmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));

    connect(group3->kcfg_WEDenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_WEDfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_WEDfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_WEDtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_WEDtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_WEDmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_WEDmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));

    connect(group3->kcfg_THUenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_THUfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_THUfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_THUtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_THUtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_THUmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_THUmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));

    connect(group3->kcfg_FRIenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_FRIfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_FRIfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_FRItohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_FRItomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_FRImaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_FRImaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));

    connect(group3->kcfg_SATenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_SATfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_SATfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_SATtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_SATtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_SATmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_SATmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));

    connect(group3->kcfg_SUNenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_SUNfromhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_SUNfrommin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_SUNtohr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_SUNtomin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_SUNmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_SUNmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));

    connect(group3->kcfg_WEEKenabled, SIGNAL(stateChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_WEEKmaxhr, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
    connect(group3->kcfg_WEEKmaxmin, SIGNAL(valueChanged(int)), SLOT(emitChanged_value_g3(int)));
}


#include "KchildlockConf.moc"

