/***************************************************************************
 *   Copyright (C) 2009 by Rene Landert <rene.landert@bluewin.ch>          *
 *                                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "KchildlockConf.h"
#include "KchildlockKCM.h"
#include "kchildlock.h"

/*#include <kstdaction.h>
#include <kglobal.h>
#include <klocale.h>
#include <kstatusbar.h>
#include <kmainwindow.h>
#include <kconfigdialog.h>
#include <kconfigskeleton.h>
#include <kdialog.h>
#include <ktabwidget.h>
#include <kdebug.h>
#include <kuser.h>
#include <sys/stat.h>
#include <qfile.h>
#include <stdio.h>
*/
#include "ui_userPage.h"
#include "ui_groupPage.h"
#include "ui_generalPage.h"

//#define USERIDLOWLIMIT 200
// #define GROUPIDLOWLIMIT 150



void KchildlockConf::set_defaults_for_user(Ui_userPage *user)
{

      user->kcfg_enabled->setChecked(FALSE);
      user->kcfg_sameRestrict->setChecked(TRUE);
      user->kcfg_diffRestrict->setChecked(FALSE);
 //     user->kcfg_username->setCurrrentIndex(-1);
      
      user->kcfg_DAYfromhr->setValue(8);
      user->kcfg_DAYfrommin->setValue(0);
      user->kcfg_DAYtohr->setValue(20);
      user->kcfg_DAYtomin->setValue(0);
      user->kcfg_DAYmaxhr->setValue(2);
      user->kcfg_DAYmaxmin->setValue(30);

      user->kcfg_MONenabled->setChecked(FALSE);
      user->kcfg_MONfromhr->setValue(8);
      user->kcfg_MONfrommin->setValue(0);
      user->kcfg_MONtohr->setValue(20);
      user->kcfg_MONtomin->setValue(0);
      user->kcfg_MONmaxhr->setValue(2);
      user->kcfg_MONmaxmin->setValue(30);

      user->kcfg_TUEenabled->setChecked(FALSE);
      user->kcfg_TUEfromhr->setValue(8);
      user->kcfg_TUEfrommin->setValue(0);
      user->kcfg_TUEtohr->setValue(20);
      user->kcfg_TUEtomin->setValue(0);
      user->kcfg_TUEmaxhr->setValue(2);
      user->kcfg_TUEmaxmin->setValue(30);

      user->kcfg_WEDenabled->setChecked(FALSE);
      user->kcfg_WEDfromhr->setValue(8);
      user->kcfg_WEDfrommin->setValue(0);
      user->kcfg_WEDtohr->setValue(20);
      user->kcfg_WEDtomin->setValue(0);
      user->kcfg_WEDmaxhr->setValue(2);
      user->kcfg_WEDmaxmin->setValue(30);

      user->kcfg_THUenabled->setChecked(FALSE);
      user->kcfg_THUfromhr->setValue(8);
      user->kcfg_THUfrommin->setValue(0);
      user->kcfg_THUtohr->setValue(20);
      user->kcfg_THUtomin->setValue(0);
      user->kcfg_THUmaxhr->setValue(2);
      user->kcfg_THUmaxmin->setValue(30);

      user->kcfg_FRIenabled->setChecked(FALSE);
      user->kcfg_FRIfromhr->setValue(8);
      user->kcfg_FRIfrommin->setValue(0);
      user->kcfg_FRItohr->setValue(21);
      user->kcfg_FRItomin->setValue(0);
      user->kcfg_FRImaxhr->setValue(3);
      user->kcfg_FRImaxmin->setValue(0);

      user->kcfg_SATenabled->setChecked(FALSE);
      user->kcfg_SATfromhr->setValue(8);
      user->kcfg_SATfrommin->setValue(0);
      user->kcfg_SATtohr->setValue(21);
      user->kcfg_SATtomin->setValue(0);
      user->kcfg_SATmaxhr->setValue(3);
      user->kcfg_SATmaxmin->setValue(0);

      user->kcfg_SUNenabled->setChecked(FALSE);
      user->kcfg_SUNfromhr->setValue(8);
      user->kcfg_SUNfrommin->setValue(0);
      user->kcfg_SUNtohr->setValue(20);
      user->kcfg_SUNtomin->setValue(0);
      user->kcfg_SUNmaxhr->setValue(2);
      user->kcfg_SUNmaxmin->setValue(30);

      user->kcfg_WEEKenabled->setChecked(FALSE);
      user->kcfg_WEEKmaxhr->setValue(8);
      user->kcfg_WEEKmaxmin->setValue(0);

      user->kcfg_AppName1->setText("");
      user->kcfg_App1fromhr->setValue(8);
      user->kcfg_App1frommin->setValue(0);
      user->kcfg_App1tohr->setValue(20);
      user->kcfg_App1tomin->setValue(0);
      user->kcfg_App1maxDhr->setValue(2);
      user->kcfg_App1maxDmin->setValue(30);
      user->kcfg_App1maxWhr->setValue(2);
      user->kcfg_App1maxWmin->setValue(30);

      user->kcfg_AppName2->setText("");
      user->kcfg_App2fromhr->setValue(8);
      user->kcfg_App2frommin->setValue(0);
      user->kcfg_App2tohr->setValue(20);
      user->kcfg_App2tomin->setValue(0);
      user->kcfg_App2maxDhr->setValue(2);
      user->kcfg_App2maxDmin->setValue(30);
      user->kcfg_App2maxWhr->setValue(2);
      user->kcfg_App2maxWmin->setValue(30);

      user->kcfg_AppName3->setText("");
      user->kcfg_App3fromhr->setValue(8);
      user->kcfg_App3frommin->setValue(0);
      user->kcfg_App3tohr->setValue(20);
      user->kcfg_App3tomin->setValue(0);
      user->kcfg_App3maxDhr->setValue(2);
      user->kcfg_App3maxDmin->setValue(30);
      user->kcfg_App3maxWhr->setValue(2);
      user->kcfg_App3maxWmin->setValue(30);
}



void KchildlockConf::set_defaults_for_group(Ui_groupPage *group)
{

      group->kcfg_enabled->setChecked(FALSE);
      group->kcfg_sameRestrict->setChecked(TRUE);
      group->kcfg_diffRestrict->setChecked(FALSE);
 //     group->kcfg_groupname->setCurrrentIndex(-1);
      
      group->kcfg_DAYfromhr->setValue(8);
      group->kcfg_DAYfrommin->setValue(0);
      group->kcfg_DAYtohr->setValue(20);
      group->kcfg_DAYtomin->setValue(0);
      group->kcfg_DAYmaxhr->setValue(2);
      group->kcfg_DAYmaxmin->setValue(30);

      group->kcfg_MONenabled->setChecked(FALSE);
      group->kcfg_MONfromhr->setValue(8);
      group->kcfg_MONfrommin->setValue(0);
      group->kcfg_MONtohr->setValue(20);
      group->kcfg_MONtomin->setValue(0);
      group->kcfg_MONmaxhr->setValue(2);
      group->kcfg_MONmaxmin->setValue(30);

      group->kcfg_TUEenabled->setChecked(FALSE);
      group->kcfg_TUEfromhr->setValue(8);
      group->kcfg_TUEfrommin->setValue(0);
      group->kcfg_TUEtohr->setValue(20);
      group->kcfg_TUEtomin->setValue(0);
      group->kcfg_TUEmaxhr->setValue(2);
      group->kcfg_TUEmaxmin->setValue(30);

      group->kcfg_WEDenabled->setChecked(FALSE);
      group->kcfg_WEDfromhr->setValue(8);
      group->kcfg_WEDfrommin->setValue(0);
      group->kcfg_WEDtohr->setValue(20);
      group->kcfg_WEDtomin->setValue(0);
      group->kcfg_WEDmaxhr->setValue(2);
      group->kcfg_WEDmaxmin->setValue(30);

      group->kcfg_THUenabled->setChecked(FALSE);
      group->kcfg_THUfromhr->setValue(8);
      group->kcfg_THUfrommin->setValue(0);
      group->kcfg_THUtohr->setValue(20);
      group->kcfg_THUtomin->setValue(0);
      group->kcfg_THUmaxhr->setValue(2);
      group->kcfg_THUmaxmin->setValue(30);

      group->kcfg_FRIenabled->setChecked(FALSE);
      group->kcfg_FRIfromhr->setValue(8);
      group->kcfg_FRIfrommin->setValue(0);
      group->kcfg_FRItohr->setValue(21);
      group->kcfg_FRItomin->setValue(0);
      group->kcfg_FRImaxhr->setValue(3);
      group->kcfg_FRImaxmin->setValue(0);

      group->kcfg_SATenabled->setChecked(FALSE);
      group->kcfg_SATfromhr->setValue(8);
      group->kcfg_SATfrommin->setValue(0);
      group->kcfg_SATtohr->setValue(21);
      group->kcfg_SATtomin->setValue(0);
      group->kcfg_SATmaxhr->setValue(3);
      group->kcfg_SATmaxmin->setValue(0);

      group->kcfg_SUNenabled->setChecked(FALSE);
      group->kcfg_SUNfromhr->setValue(8);
      group->kcfg_SUNfrommin->setValue(0);
      group->kcfg_SUNtohr->setValue(20);
      group->kcfg_SUNtomin->setValue(0);
      group->kcfg_SUNmaxhr->setValue(2);
      group->kcfg_SUNmaxmin->setValue(30);

      group->kcfg_WEEKenabled->setChecked(FALSE);
      group->kcfg_WEEKmaxhr->setValue(8);
      group->kcfg_WEEKmaxmin->setValue(0);
}




void KchildlockConf::defaults()
{
   kDebug() << "Message Conf defaults";
   QString currentgroup = this->currentPage()->name();
   
   if (currentgroup == "General") {
   
      general->kcfg_enable_restrictions->setChecked(FALSE);
      general->kcfg_scaninterval->setValue(60);
   }
   else if (currentgroup == "User 1") {
      set_defaults_for_user(user1);
   }
   else if (currentgroup == "User 2") {
      set_defaults_for_user(user2);
   }
   else if (currentgroup == "User 3") {
      set_defaults_for_user(user3);
   }
   else if (currentgroup == "User 4") {
      set_defaults_for_user(user4);
   }
   else if (currentgroup == "User 5") {
      set_defaults_for_user(user5);
   }
   else if (currentgroup == "Group 1") {
      set_defaults_for_group(group1);
   }
   else if (currentgroup == "Group 2") {
      set_defaults_for_group(group2);
   }
   else if (currentgroup == "Group 3") {
      set_defaults_for_group(group3);
   }

   else {
      //  do nothing
   }
   
}