/***************************************************************************
 *   Copyright (C) 2009 by Rene Landert <rene.landert@bluewin.ch>          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/

#ifndef KCHILDLOCKKCM_H
#define KCHILDLOCKKCM_H

#include <kcmodule.h>
#include <QDBusConnection>
#include <kmessagebox.h>
#include <kstandarddirs.h>

#include "KchildlockConf.h"
#include "../common/kchildlockcommon.h"

class ConfigWidget;
class QVBoxLayout;
class ErrorWidget;



class KchildlockKCM : public KCModule, public KConfig
{
    Q_OBJECT

public:
    KchildlockKCM(QWidget *parent, const QVariantList& = QVariantList());

    void load();
    void save();
    void defaults();
    ~KchildlockKCM();
    bool useRootOnlyMsg() const;
    QString rootOnlyMsg() const;
    QString quickHelp() const;
private:
    KchildlockConf* my_kcconf;
//    QDBusConnection m_dbus;

//private:
//    QVBoxLayout* m_layout;
};



#endif /*KCHILDLOCKKCM_H*/
