/***************************************************************************
 *   Copyright (C) 2009 by Rene Landert <rene.landert@bluewin.ch>          *
 *                                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "KchildlockConf.h"
#include "KchildlockKCM.h"
#include "kchildlock.h"

// Group2 Slots ===========================================================================

void KchildlockConf::emitChanged_enabled_g2(int value)
{
   KchildlockSettings::setEnabled_g2(value);
   kDebug() << value;
   emit changed(true);
}

void KchildlockConf::emitChanged_groupname_g2(QString value)
{
   KchildlockSettings::setGroupnamestring_g2(value);
   kDebug() << value;
   emit changed(true);
}

void KchildlockConf::emitChanged_sameRestrict_g2(bool value)
{
   KchildlockSettings::setSameRestrict_g2(value);
   if (value)  {
      KchildlockSettings::setDiffRestrict_g2(FALSE);
      KchildlockConf::disableDifferentSettings_g2();
   };
   kDebug() << value;
   emit changed(true);
}


void KchildlockConf::disableDifferentSettings_g2()
{
      group2->kcfg_DAYfromhr->setDisabled(FALSE);
      group2->kcfg_DAYfrommin->setDisabled(FALSE);
      group2->kcfg_DAYtohr->setDisabled(FALSE);
      group2->kcfg_DAYtomin->setDisabled(FALSE);
      group2->kcfg_DAYmaxhr->setDisabled(FALSE);
      group2->kcfg_DAYmaxmin->setDisabled(FALSE);

      group2->kcfg_MONenabled->setTristate(TRUE);
      if (group2->kcfg_MONenabled->isChecked()) {
         group2->kcfg_MONenabled->setCheckState(Qt::PartiallyChecked);
      };
      group2->kcfg_MONenabled->setDisabled(TRUE);
      group2->kcfg_MONfromhr->setDisabled(TRUE);
      group2->kcfg_MONfrommin->setDisabled(TRUE);
      group2->kcfg_MONtohr->setDisabled(TRUE);
      group2->kcfg_MONtomin->setDisabled(TRUE);
      group2->kcfg_MONmaxhr->setDisabled(TRUE);
      group2->kcfg_MONmaxmin->setDisabled(TRUE);
      group2->kcfg_TUEenabled->setTristate(TRUE);
      if (group2->kcfg_TUEenabled->isChecked()) {
         group2->kcfg_TUEenabled->setCheckState(Qt::PartiallyChecked);
      };
      group2->kcfg_TUEenabled->setDisabled(TRUE);
      group2->kcfg_TUEfromhr->setDisabled(TRUE);
      group2->kcfg_TUEfrommin->setDisabled(TRUE);
      group2->kcfg_TUEtohr->setDisabled(TRUE);
      group2->kcfg_TUEtomin->setDisabled(TRUE);
      group2->kcfg_TUEmaxhr->setDisabled(TRUE);
      group2->kcfg_TUEmaxmin->setDisabled(TRUE);
      group2->kcfg_WEDenabled->setTristate(TRUE);
      if (group2->kcfg_WEDenabled->isChecked()) {
         group2->kcfg_WEDenabled->setCheckState(Qt::PartiallyChecked);
      };
      group2->kcfg_WEDenabled->setDisabled(TRUE);
      group2->kcfg_WEDfromhr->setDisabled(TRUE);
      group2->kcfg_WEDfrommin->setDisabled(TRUE);
      group2->kcfg_WEDtohr->setDisabled(TRUE);
      group2->kcfg_WEDtomin->setDisabled(TRUE);
      group2->kcfg_WEDmaxhr->setDisabled(TRUE);
      group2->kcfg_WEDmaxmin->setDisabled(TRUE);
      group2->kcfg_THUenabled->setTristate(TRUE);
      if (group2->kcfg_THUenabled->isChecked()) {
         group2->kcfg_THUenabled->setCheckState(Qt::PartiallyChecked);
      };
      group2->kcfg_THUenabled->setDisabled(TRUE);
      group2->kcfg_THUfromhr->setDisabled(TRUE);
      group2->kcfg_THUfrommin->setDisabled(TRUE);
      group2->kcfg_THUtohr->setDisabled(TRUE);
      group2->kcfg_THUtomin->setDisabled(TRUE);
      group2->kcfg_THUmaxhr->setDisabled(TRUE);
      group2->kcfg_THUmaxmin->setDisabled(TRUE);
      group2->kcfg_FRIenabled->setTristate(TRUE);
      if (group2->kcfg_FRIenabled->isChecked()) {
         group2->kcfg_FRIenabled->setCheckState(Qt::PartiallyChecked);
      };
      group2->kcfg_FRIenabled->setDisabled(TRUE);
      group2->kcfg_FRIfromhr->setDisabled(TRUE);
      group2->kcfg_FRIfrommin->setDisabled(TRUE);
      group2->kcfg_FRItohr->setDisabled(TRUE);
      group2->kcfg_FRItomin->setDisabled(TRUE);
      group2->kcfg_FRImaxhr->setDisabled(TRUE);
      group2->kcfg_FRImaxmin->setDisabled(TRUE);
      group2->kcfg_SATenabled->setTristate(TRUE);
      if (group2->kcfg_SATenabled->isChecked()) {
         group2->kcfg_SATenabled->setCheckState(Qt::PartiallyChecked);
      };
      group2->kcfg_SATenabled->setDisabled(TRUE);
      group2->kcfg_SATfromhr->setDisabled(TRUE);
      group2->kcfg_SATfrommin->setDisabled(TRUE);
      group2->kcfg_SATtohr->setDisabled(TRUE);
      group2->kcfg_SATtomin->setDisabled(TRUE);
      group2->kcfg_SATmaxhr->setDisabled(TRUE);
      group2->kcfg_SATmaxmin->setDisabled(TRUE);
      group2->kcfg_SUNenabled->setTristate(TRUE);
      if (group2->kcfg_SUNenabled->isChecked()) {
         group2->kcfg_SUNenabled->setCheckState(Qt::PartiallyChecked);
      };
      group2->kcfg_SUNenabled->setDisabled(TRUE);
      group2->kcfg_SUNfromhr->setDisabled(TRUE);
      group2->kcfg_SUNfrommin->setDisabled(TRUE);
      group2->kcfg_SUNtohr->setDisabled(TRUE);
      group2->kcfg_SUNtomin->setDisabled(TRUE);
      group2->kcfg_SUNmaxhr->setDisabled(TRUE);
      group2->kcfg_SUNmaxmin->setDisabled(TRUE);
};


void KchildlockConf::emitChanged_diffRestrict_g2(bool value)
{
   KchildlockSettings::setDiffRestrict_g2(value);
   if (value)  {
      KchildlockSettings::setSameRestrict_g2(FALSE);
      KchildlockConf::disableSameSettings_g2();
      }
   kDebug() << value;
   emit changed(true);
};


void KchildlockConf::disableSameSettings_g2()
{
      group2->kcfg_DAYfromhr->setDisabled(TRUE);
      group2->kcfg_DAYfrommin->setDisabled(TRUE);
      group2->kcfg_DAYtohr->setDisabled(TRUE);
      group2->kcfg_DAYtomin->setDisabled(TRUE);
      group2->kcfg_DAYmaxhr->setDisabled(TRUE);
      group2->kcfg_DAYmaxmin->setDisabled(TRUE);

      group2->kcfg_MONenabled->setTristate(FALSE);
      if (group2->kcfg_MONenabled->isChecked()) {
         group2->kcfg_MONenabled->setCheckState(Qt::Checked);
      };
      group2->kcfg_MONenabled->setDisabled(FALSE);
      group2->kcfg_MONfromhr->setDisabled(FALSE);
      group2->kcfg_MONfrommin->setDisabled(FALSE);
      group2->kcfg_MONtohr->setDisabled(FALSE);
      group2->kcfg_MONtomin->setDisabled(FALSE);
      group2->kcfg_MONmaxhr->setDisabled(FALSE);
      group2->kcfg_MONmaxmin->setDisabled(FALSE);
      group2->kcfg_TUEenabled->setTristate(FALSE);
      if (group2->kcfg_TUEenabled->isChecked()) {
         group2->kcfg_TUEenabled->setCheckState(Qt::Checked);
      };
      group2->kcfg_TUEenabled->setDisabled(FALSE);
      group2->kcfg_TUEfromhr->setDisabled(FALSE);
      group2->kcfg_TUEfrommin->setDisabled(FALSE);
      group2->kcfg_TUEtohr->setDisabled(FALSE);
      group2->kcfg_TUEtomin->setDisabled(FALSE);
      group2->kcfg_TUEmaxhr->setDisabled(FALSE);
      group2->kcfg_TUEmaxmin->setDisabled(FALSE);
      group2->kcfg_WEDenabled->setTristate(FALSE);
      if (group2->kcfg_WEDenabled->isChecked()) {
         group2->kcfg_WEDenabled->setCheckState(Qt::Checked);
      };
      group2->kcfg_WEDenabled->setDisabled(FALSE);
      group2->kcfg_WEDfromhr->setDisabled(FALSE);
      group2->kcfg_WEDfrommin->setDisabled(FALSE);
      group2->kcfg_WEDtohr->setDisabled(FALSE);
      group2->kcfg_WEDtomin->setDisabled(FALSE);
      group2->kcfg_WEDmaxhr->setDisabled(FALSE);
      group2->kcfg_WEDmaxmin->setDisabled(FALSE);
      group2->kcfg_THUenabled->setTristate(FALSE);
      if (group2->kcfg_THUenabled->isChecked()) {
         group2->kcfg_THUenabled->setCheckState(Qt::Checked);
      };
      group2->kcfg_THUenabled->setDisabled(FALSE);
      group2->kcfg_THUfromhr->setDisabled(FALSE);
      group2->kcfg_THUfrommin->setDisabled(FALSE);
      group2->kcfg_THUtohr->setDisabled(FALSE);
      group2->kcfg_THUtomin->setDisabled(FALSE);
      group2->kcfg_THUmaxhr->setDisabled(FALSE);
      group2->kcfg_THUmaxmin->setDisabled(FALSE);
      group2->kcfg_FRIenabled->setTristate(FALSE);
      if (group2->kcfg_FRIenabled->isChecked()) {
         group2->kcfg_FRIenabled->setCheckState(Qt::Checked);
      };
      group2->kcfg_FRIenabled->setDisabled(FALSE);
      group2->kcfg_FRIfromhr->setDisabled(FALSE);
      group2->kcfg_FRIfrommin->setDisabled(FALSE);
      group2->kcfg_FRItohr->setDisabled(FALSE);
      group2->kcfg_FRItomin->setDisabled(FALSE);
      group2->kcfg_FRImaxhr->setDisabled(FALSE);
      group2->kcfg_FRImaxmin->setDisabled(FALSE);
      group2->kcfg_SATenabled->setTristate(FALSE);
      if (group2->kcfg_SATenabled->isChecked()) {
         group2->kcfg_SATenabled->setCheckState(Qt::Checked);
      };
      group2->kcfg_SATenabled->setDisabled(FALSE);
      group2->kcfg_SATfromhr->setDisabled(FALSE);
      group2->kcfg_SATfrommin->setDisabled(FALSE);
      group2->kcfg_SATtohr->setDisabled(FALSE);
      group2->kcfg_SATtomin->setDisabled(FALSE);
      group2->kcfg_SATmaxhr->setDisabled(FALSE);
      group2->kcfg_SATmaxmin->setDisabled(FALSE);
      group2->kcfg_SUNenabled->setTristate(FALSE);
      if (group2->kcfg_SUNenabled->isChecked()) {
         group2->kcfg_SUNenabled->setCheckState(Qt::Checked);
      };
      group2->kcfg_SUNenabled->setDisabled(FALSE);
      group2->kcfg_SUNfromhr->setDisabled(FALSE);
      group2->kcfg_SUNfrommin->setDisabled(FALSE);
      group2->kcfg_SUNtohr->setDisabled(FALSE);
      group2->kcfg_SUNtomin->setDisabled(FALSE);
      group2->kcfg_SUNmaxhr->setDisabled(FALSE);
      group2->kcfg_SUNmaxmin->setDisabled(FALSE);
};


void KchildlockConf::emitChanged_value_g2(int value)
{
   KchildlockSettings::setDAYfromhr_g2(group2->kcfg_DAYfromhr->value());
   KchildlockSettings::setDAYfrommin_g2(group2->kcfg_DAYfrommin->value());
   KchildlockSettings::setDAYtohr_g2(group2->kcfg_DAYtohr->value());
   KchildlockSettings::setDAYtomin_g2(group2->kcfg_DAYtomin->value());
   KchildlockSettings::setDAYmaxhr_g2(group2->kcfg_DAYmaxhr->value());
   KchildlockSettings::setDAYmaxmin_g2(group2->kcfg_DAYmaxmin->value());

   KchildlockSettings::setMONenabled_g2(group2->kcfg_MONenabled->isChecked());
   KchildlockSettings::setMONfromhr_g2(group2->kcfg_MONfromhr->value());
   KchildlockSettings::setMONfrommin_g2(group2->kcfg_MONfrommin->value());
   KchildlockSettings::setMONtohr_g2(group2->kcfg_MONtohr->value());
   KchildlockSettings::setMONtomin_g2(group2->kcfg_MONtomin->value());
   KchildlockSettings::setMONmaxhr_g2(group2->kcfg_MONmaxhr->value());
   KchildlockSettings::setMONmaxmin_g2(group2->kcfg_MONmaxmin->value());

   KchildlockSettings::setTUEenabled_g2(group2->kcfg_TUEenabled->isChecked());
   KchildlockSettings::setTUEfromhr_g2(group2->kcfg_TUEfromhr->value());
   KchildlockSettings::setTUEfrommin_g2(group2->kcfg_TUEfrommin->value());
   KchildlockSettings::setTUEtohr_g2(group2->kcfg_TUEtohr->value());
   KchildlockSettings::setTUEtomin_g2(group2->kcfg_TUEtomin->value());
   KchildlockSettings::setTUEmaxhr_g2(group2->kcfg_TUEmaxhr->value());
   KchildlockSettings::setTUEmaxmin_g2(group2->kcfg_TUEmaxmin->value());

   KchildlockSettings::setWEDenabled_g2(group2->kcfg_WEDenabled->isChecked());
   KchildlockSettings::setWEDfromhr_g2(group2->kcfg_WEDfromhr->value());
   KchildlockSettings::setWEDfrommin_g2(group2->kcfg_WEDfrommin->value());
   KchildlockSettings::setWEDtohr_g2(group2->kcfg_WEDtohr->value());
   KchildlockSettings::setWEDtomin_g2(group2->kcfg_WEDtomin->value());
   KchildlockSettings::setWEDmaxhr_g2(group2->kcfg_WEDmaxhr->value());
   KchildlockSettings::setWEDmaxmin_g2(group2->kcfg_WEDmaxmin->value());

   KchildlockSettings::setTHUenabled_g2(group2->kcfg_THUenabled->isChecked());
   KchildlockSettings::setTHUfromhr_g2(group2->kcfg_THUfromhr->value());
   KchildlockSettings::setTHUfrommin_g2(group2->kcfg_THUfrommin->value());
   KchildlockSettings::setTHUtohr_g2(group2->kcfg_THUtohr->value());
   KchildlockSettings::setTHUtomin_g2(group2->kcfg_THUtomin->value());
   KchildlockSettings::setTHUmaxhr_g2(group2->kcfg_THUmaxhr->value());
   KchildlockSettings::setTHUmaxmin_g2(group2->kcfg_THUmaxmin->value());

   KchildlockSettings::setFRIenabled_g2(group2->kcfg_FRIenabled->isChecked());
   KchildlockSettings::setFRIfromhr_g2(group2->kcfg_FRIfromhr->value());
   KchildlockSettings::setFRIfrommin_g2(group2->kcfg_FRIfrommin->value());
   KchildlockSettings::setFRItohr_g2(group2->kcfg_FRItohr->value());
   KchildlockSettings::setFRItomin_g2(group2->kcfg_FRItomin->value());
   KchildlockSettings::setFRImaxhr_g2(group2->kcfg_FRImaxhr->value());
   KchildlockSettings::setFRImaxmin_g2(group2->kcfg_FRImaxmin->value());

   KchildlockSettings::setSATenabled_g2(group2->kcfg_SATenabled->isChecked());
   KchildlockSettings::setSATfromhr_g2(group2->kcfg_SATfromhr->value());
   KchildlockSettings::setSATfrommin_g2(group2->kcfg_SATfrommin->value());
   KchildlockSettings::setSATtohr_g2(group2->kcfg_SATtohr->value());
   KchildlockSettings::setSATtomin_g2(group2->kcfg_SATtomin->value());
   KchildlockSettings::setSATmaxhr_g2(group2->kcfg_SATmaxhr->value());
   KchildlockSettings::setSATmaxmin_g2(group2->kcfg_SATmaxmin->value());

   KchildlockSettings::setSUNenabled_g2(group2->kcfg_SUNenabled->isChecked());
   KchildlockSettings::setSUNfromhr_g2(group2->kcfg_SUNfromhr->value());
   KchildlockSettings::setSUNfrommin_g2(group2->kcfg_SUNfrommin->value());
   KchildlockSettings::setSUNtohr_g2(group2->kcfg_SUNtohr->value());
   KchildlockSettings::setSUNtomin_g2(group2->kcfg_SUNtomin->value());
   KchildlockSettings::setSUNmaxhr_g2(group2->kcfg_SUNmaxhr->value());
   KchildlockSettings::setSUNmaxmin_g2(group2->kcfg_SUNmaxmin->value());

   KchildlockSettings::setWEEKenabled_g2(group2->kcfg_WEEKenabled->isChecked());
   KchildlockSettings::setWEEKmaxhr_g2(group2->kcfg_WEEKmaxhr->value());
   KchildlockSettings::setWEEKmaxmin_g2(group2->kcfg_WEEKmaxmin->value());

   kDebug() << value;
   emit changed(true);
}

