/***************************************************************************
 *   Copyright (C) 2009 by Rene Landert <rene.landert@bluewin.ch>          *
 *                                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "KchildlockConf.h"
#include "KchildlockKCM.h"
#include "kchildlock.h"


// User1 Slots ===========================================================================

void KchildlockConf::emitChanged_enabled_u1(int value)
{
   KchildlockSettings::setEnabled_u1(value);
   kDebug() << value;
   emit changed(true);
}

void KchildlockConf::emitChanged_username_u1(QString value)
{
   KchildlockSettings::setUsernamestring_u1(value);
   kDebug() << value;
   emit changed(true);
}

void KchildlockConf::emitChanged_sameRestrict_u1(bool value)
{
   KchildlockSettings::setSameRestrict_u1(value);
   if (value)  {
      KchildlockSettings::setDiffRestrict_u1(FALSE);
      KchildlockConf::disableDifferentSettings_u1();
   };
   kDebug() << value;
   emit changed(true);
}


void KchildlockConf::disableDifferentSettings_u1()
{
      user1->kcfg_DAYfromhr->setDisabled(FALSE);
      user1->kcfg_DAYfrommin->setDisabled(FALSE);
      user1->kcfg_DAYtohr->setDisabled(FALSE);
      user1->kcfg_DAYtomin->setDisabled(FALSE);
      user1->kcfg_DAYmaxhr->setDisabled(FALSE);
      user1->kcfg_DAYmaxmin->setDisabled(FALSE);
      user1->kcfg_sameRestrict->setChecked(TRUE);

      user1->kcfg_MONenabled->setTristate(TRUE);
      if (user1->kcfg_MONenabled->isChecked()) {
         user1->kcfg_MONenabled->setCheckState(Qt::PartiallyChecked);
      };
      user1->kcfg_MONenabled->setDisabled(TRUE);
      user1->kcfg_MONfromhr->setDisabled(TRUE);
      user1->kcfg_MONfrommin->setDisabled(TRUE);
      user1->kcfg_MONtohr->setDisabled(TRUE);
      user1->kcfg_MONtomin->setDisabled(TRUE);
      user1->kcfg_MONmaxhr->setDisabled(TRUE);
      user1->kcfg_MONmaxmin->setDisabled(TRUE);
      user1->kcfg_TUEenabled->setTristate(TRUE);
      if (user1->kcfg_TUEenabled->isChecked()) {
         user1->kcfg_TUEenabled->setCheckState(Qt::PartiallyChecked);
      };
      user1->kcfg_TUEenabled->setDisabled(TRUE);
      user1->kcfg_TUEfromhr->setDisabled(TRUE);
      user1->kcfg_TUEfrommin->setDisabled(TRUE);
      user1->kcfg_TUEtohr->setDisabled(TRUE);
      user1->kcfg_TUEtomin->setDisabled(TRUE);
      user1->kcfg_TUEmaxhr->setDisabled(TRUE);
      user1->kcfg_TUEmaxmin->setDisabled(TRUE);
      user1->kcfg_WEDenabled->setTristate(TRUE);
      if (user1->kcfg_WEDenabled->isChecked()) {
         user1->kcfg_WEDenabled->setCheckState(Qt::PartiallyChecked);
      };
      user1->kcfg_WEDenabled->setDisabled(TRUE);
      user1->kcfg_WEDfromhr->setDisabled(TRUE);
      user1->kcfg_WEDfrommin->setDisabled(TRUE);
      user1->kcfg_WEDtohr->setDisabled(TRUE);
      user1->kcfg_WEDtomin->setDisabled(TRUE);
      user1->kcfg_WEDmaxhr->setDisabled(TRUE);
      user1->kcfg_WEDmaxmin->setDisabled(TRUE);
      user1->kcfg_THUenabled->setTristate(TRUE);
      if (user1->kcfg_THUenabled->isChecked()) {
         user1->kcfg_THUenabled->setCheckState(Qt::PartiallyChecked);
      };
      user1->kcfg_THUenabled->setDisabled(TRUE);
      user1->kcfg_THUfromhr->setDisabled(TRUE);
      user1->kcfg_THUfrommin->setDisabled(TRUE);
      user1->kcfg_THUtohr->setDisabled(TRUE);
      user1->kcfg_THUtomin->setDisabled(TRUE);
      user1->kcfg_THUmaxhr->setDisabled(TRUE);
      user1->kcfg_THUmaxmin->setDisabled(TRUE);
      user1->kcfg_FRIenabled->setTristate(TRUE);
      if (user1->kcfg_FRIenabled->isChecked()) {
         user1->kcfg_FRIenabled->setCheckState(Qt::PartiallyChecked);
      };
      user1->kcfg_FRIenabled->setDisabled(TRUE);
      user1->kcfg_FRIfromhr->setDisabled(TRUE);
      user1->kcfg_FRIfrommin->setDisabled(TRUE);
      user1->kcfg_FRItohr->setDisabled(TRUE);
      user1->kcfg_FRItomin->setDisabled(TRUE);
      user1->kcfg_FRImaxhr->setDisabled(TRUE);
      user1->kcfg_FRImaxmin->setDisabled(TRUE);
      user1->kcfg_SATenabled->setTristate(TRUE);
      if (user1->kcfg_SATenabled->isChecked()) {
         user1->kcfg_SATenabled->setCheckState(Qt::PartiallyChecked);
      };
      user1->kcfg_SATenabled->setDisabled(TRUE);
      user1->kcfg_SATfromhr->setDisabled(TRUE);
      user1->kcfg_SATfrommin->setDisabled(TRUE);
      user1->kcfg_SATtohr->setDisabled(TRUE);
      user1->kcfg_SATtomin->setDisabled(TRUE);
      user1->kcfg_SATmaxhr->setDisabled(TRUE);
      user1->kcfg_SATmaxmin->setDisabled(TRUE);
      user1->kcfg_SUNenabled->setTristate(TRUE);
      if (user1->kcfg_SUNenabled->isChecked()) {
         user1->kcfg_SUNenabled->setCheckState(Qt::PartiallyChecked);
      };
      user1->kcfg_SUNenabled->setDisabled(TRUE);
      user1->kcfg_SUNfromhr->setDisabled(TRUE);
      user1->kcfg_SUNfrommin->setDisabled(TRUE);
      user1->kcfg_SUNtohr->setDisabled(TRUE);
      user1->kcfg_SUNtomin->setDisabled(TRUE);
      user1->kcfg_SUNmaxhr->setDisabled(TRUE);
      user1->kcfg_SUNmaxmin->setDisabled(TRUE);
};


void KchildlockConf::emitChanged_diffRestrict_u1(bool value)
{
   KchildlockSettings::setDiffRestrict_u1(value);
   if (value)  {
      KchildlockSettings::setSameRestrict_u1(FALSE);
      KchildlockConf::disableSameSettings_u1();
      }
   kDebug() << value;
   emit changed(true);
};


void KchildlockConf::disableSameSettings_u1()
{
      user1->kcfg_DAYfromhr->setDisabled(TRUE);
      user1->kcfg_DAYfrommin->setDisabled(TRUE);
      user1->kcfg_DAYtohr->setDisabled(TRUE);
      user1->kcfg_DAYtomin->setDisabled(TRUE);
      user1->kcfg_DAYmaxhr->setDisabled(TRUE);
      user1->kcfg_DAYmaxmin->setDisabled(TRUE);
      user1->kcfg_sameRestrict->setChecked(FALSE);

      user1->kcfg_MONenabled->setTristate(FALSE);
      if (user1->kcfg_MONenabled->isChecked()) {
         user1->kcfg_MONenabled->setCheckState(Qt::Checked);
      };
      user1->kcfg_MONenabled->setDisabled(FALSE);
      user1->kcfg_MONfromhr->setDisabled(FALSE);
      user1->kcfg_MONfrommin->setDisabled(FALSE);
      user1->kcfg_MONtohr->setDisabled(FALSE);
      user1->kcfg_MONtomin->setDisabled(FALSE);
      user1->kcfg_MONmaxhr->setDisabled(FALSE);
      user1->kcfg_MONmaxmin->setDisabled(FALSE);
      user1->kcfg_TUEenabled->setTristate(FALSE);
      if (user1->kcfg_TUEenabled->isChecked()) {
         user1->kcfg_TUEenabled->setCheckState(Qt::Checked);
      };
      user1->kcfg_TUEenabled->setDisabled(FALSE);
      user1->kcfg_TUEfromhr->setDisabled(FALSE);
      user1->kcfg_TUEfrommin->setDisabled(FALSE);
      user1->kcfg_TUEtohr->setDisabled(FALSE);
      user1->kcfg_TUEtomin->setDisabled(FALSE);
      user1->kcfg_TUEmaxhr->setDisabled(FALSE);
      user1->kcfg_TUEmaxmin->setDisabled(FALSE);
      user1->kcfg_WEDenabled->setTristate(FALSE);
      if (user1->kcfg_WEDenabled->isChecked()) {
         user1->kcfg_WEDenabled->setCheckState(Qt::Checked);
      };
      user1->kcfg_WEDenabled->setDisabled(FALSE);
      user1->kcfg_WEDfromhr->setDisabled(FALSE);
      user1->kcfg_WEDfrommin->setDisabled(FALSE);
      user1->kcfg_WEDtohr->setDisabled(FALSE);
      user1->kcfg_WEDtomin->setDisabled(FALSE);
      user1->kcfg_WEDmaxhr->setDisabled(FALSE);
      user1->kcfg_WEDmaxmin->setDisabled(FALSE);
      user1->kcfg_THUenabled->setTristate(FALSE);
      if (user1->kcfg_THUenabled->isChecked()) {
         user1->kcfg_THUenabled->setCheckState(Qt::Checked);
      };
      user1->kcfg_THUenabled->setDisabled(FALSE);
      user1->kcfg_THUfromhr->setDisabled(FALSE);
      user1->kcfg_THUfrommin->setDisabled(FALSE);
      user1->kcfg_THUtohr->setDisabled(FALSE);
      user1->kcfg_THUtomin->setDisabled(FALSE);
      user1->kcfg_THUmaxhr->setDisabled(FALSE);
      user1->kcfg_THUmaxmin->setDisabled(FALSE);
      user1->kcfg_FRIenabled->setTristate(FALSE);
      if (user1->kcfg_FRIenabled->isChecked()) {
         user1->kcfg_FRIenabled->setCheckState(Qt::Checked);
      };
      user1->kcfg_FRIenabled->setDisabled(FALSE);
      user1->kcfg_FRIfromhr->setDisabled(FALSE);
      user1->kcfg_FRIfrommin->setDisabled(FALSE);
      user1->kcfg_FRItohr->setDisabled(FALSE);
      user1->kcfg_FRItomin->setDisabled(FALSE);
      user1->kcfg_FRImaxhr->setDisabled(FALSE);
      user1->kcfg_FRImaxmin->setDisabled(FALSE);
      user1->kcfg_SATenabled->setTristate(FALSE);
      if (user1->kcfg_SATenabled->isChecked()) {
         user1->kcfg_SATenabled->setCheckState(Qt::Checked);
      };
      user1->kcfg_SATenabled->setDisabled(FALSE);
      user1->kcfg_SATfromhr->setDisabled(FALSE);
      user1->kcfg_SATfrommin->setDisabled(FALSE);
      user1->kcfg_SATtohr->setDisabled(FALSE);
      user1->kcfg_SATtomin->setDisabled(FALSE);
      user1->kcfg_SATmaxhr->setDisabled(FALSE);
      user1->kcfg_SATmaxmin->setDisabled(FALSE);
      user1->kcfg_SUNenabled->setTristate(FALSE);
      if (user1->kcfg_SUNenabled->isChecked()) {
         user1->kcfg_SUNenabled->setCheckState(Qt::Checked);
      };
      user1->kcfg_SUNenabled->setDisabled(FALSE);
      user1->kcfg_SUNfromhr->setDisabled(FALSE);
      user1->kcfg_SUNfrommin->setDisabled(FALSE);
      user1->kcfg_SUNtohr->setDisabled(FALSE);
      user1->kcfg_SUNtomin->setDisabled(FALSE);
      user1->kcfg_SUNmaxhr->setDisabled(FALSE);
      user1->kcfg_SUNmaxmin->setDisabled(FALSE);
};


void KchildlockConf::emitChanged_value_u1(int value)
{
   KchildlockSettings::setDAYfromhr_u1(user1->kcfg_DAYfromhr->value());
   KchildlockSettings::setDAYfrommin_u1(user1->kcfg_DAYfrommin->value());
   KchildlockSettings::setDAYtohr_u1(user1->kcfg_DAYtohr->value());
   KchildlockSettings::setDAYtomin_u1(user1->kcfg_DAYtomin->value());
   KchildlockSettings::setDAYmaxhr_u1(user1->kcfg_DAYmaxhr->value());
   KchildlockSettings::setDAYmaxmin_u1(user1->kcfg_DAYmaxmin->value());

   KchildlockSettings::setMONenabled_u1(user1->kcfg_MONenabled->isChecked());
   KchildlockSettings::setMONfromhr_u1(user1->kcfg_MONfromhr->value());
   KchildlockSettings::setMONfrommin_u1(user1->kcfg_MONfrommin->value());
   KchildlockSettings::setMONtohr_u1(user1->kcfg_MONtohr->value());
   KchildlockSettings::setMONtomin_u1(user1->kcfg_MONtomin->value());
   KchildlockSettings::setMONmaxhr_u1(user1->kcfg_MONmaxhr->value());
   KchildlockSettings::setMONmaxmin_u1(user1->kcfg_MONmaxmin->value());

   KchildlockSettings::setTUEenabled_u1(user1->kcfg_TUEenabled->isChecked());
   KchildlockSettings::setTUEfromhr_u1(user1->kcfg_TUEfromhr->value());
   KchildlockSettings::setTUEfrommin_u1(user1->kcfg_TUEfrommin->value());
   KchildlockSettings::setTUEtohr_u1(user1->kcfg_TUEtohr->value());
   KchildlockSettings::setTUEtomin_u1(user1->kcfg_TUEtomin->value());
   KchildlockSettings::setTUEmaxhr_u1(user1->kcfg_TUEmaxhr->value());
   KchildlockSettings::setTUEmaxmin_u1(user1->kcfg_TUEmaxmin->value());

   KchildlockSettings::setWEDenabled_u1(user1->kcfg_WEDenabled->isChecked());
   KchildlockSettings::setWEDfromhr_u1(user1->kcfg_WEDfromhr->value());
   KchildlockSettings::setWEDfrommin_u1(user1->kcfg_WEDfrommin->value());
   KchildlockSettings::setWEDtohr_u1(user1->kcfg_WEDtohr->value());
   KchildlockSettings::setWEDtomin_u1(user1->kcfg_WEDtomin->value());
   KchildlockSettings::setWEDmaxhr_u1(user1->kcfg_WEDmaxhr->value());
   KchildlockSettings::setWEDmaxmin_u1(user1->kcfg_WEDmaxmin->value());

   KchildlockSettings::setTHUenabled_u1(user1->kcfg_THUenabled->isChecked());
   KchildlockSettings::setTHUfromhr_u1(user1->kcfg_THUfromhr->value());
   KchildlockSettings::setTHUfrommin_u1(user1->kcfg_THUfrommin->value());
   KchildlockSettings::setTHUtohr_u1(user1->kcfg_THUtohr->value());
   KchildlockSettings::setTHUtomin_u1(user1->kcfg_THUtomin->value());
   KchildlockSettings::setTHUmaxhr_u1(user1->kcfg_THUmaxhr->value());
   KchildlockSettings::setTHUmaxmin_u1(user1->kcfg_THUmaxmin->value());

   KchildlockSettings::setFRIenabled_u1(user1->kcfg_FRIenabled->isChecked());
   KchildlockSettings::setFRIfromhr_u1(user1->kcfg_FRIfromhr->value());
   KchildlockSettings::setFRIfrommin_u1(user1->kcfg_FRIfrommin->value());
   KchildlockSettings::setFRItohr_u1(user1->kcfg_FRItohr->value());
   KchildlockSettings::setFRItomin_u1(user1->kcfg_FRItomin->value());
   KchildlockSettings::setFRImaxhr_u1(user1->kcfg_FRImaxhr->value());
   KchildlockSettings::setFRImaxmin_u1(user1->kcfg_FRImaxmin->value());

   KchildlockSettings::setSATenabled_u1(user1->kcfg_SATenabled->isChecked());
   KchildlockSettings::setSATfromhr_u1(user1->kcfg_SATfromhr->value());
   KchildlockSettings::setSATfrommin_u1(user1->kcfg_SATfrommin->value());
   KchildlockSettings::setSATtohr_u1(user1->kcfg_SATtohr->value());
   KchildlockSettings::setSATtomin_u1(user1->kcfg_SATtomin->value());
   KchildlockSettings::setSATmaxhr_u1(user1->kcfg_SATmaxhr->value());
   KchildlockSettings::setSATmaxmin_u1(user1->kcfg_SATmaxmin->value());

   KchildlockSettings::setSUNenabled_u1(user1->kcfg_SUNenabled->isChecked());
   KchildlockSettings::setSUNfromhr_u1(user1->kcfg_SUNfromhr->value());
   KchildlockSettings::setSUNfrommin_u1(user1->kcfg_SUNfrommin->value());
   KchildlockSettings::setSUNtohr_u1(user1->kcfg_SUNtohr->value());
   KchildlockSettings::setSUNtomin_u1(user1->kcfg_SUNtomin->value());
   KchildlockSettings::setSUNmaxhr_u1(user1->kcfg_SUNmaxhr->value());
   KchildlockSettings::setSUNmaxmin_u1(user1->kcfg_SUNmaxmin->value());

   KchildlockSettings::setWEEKenabled_u1(user1->kcfg_WEEKenabled->isChecked());
   KchildlockSettings::setWEEKmaxhr_u1(user1->kcfg_WEEKmaxhr->value());
   KchildlockSettings::setWEEKmaxmin_u1(user1->kcfg_WEEKmaxmin->value());

   KchildlockSettings::setApp1fromhr_u1(user1->kcfg_App1fromhr->value());
   KchildlockSettings::setApp1frommin_u1(user1->kcfg_App1frommin->value());
   KchildlockSettings::setApp1tohr_u1(user1->kcfg_App1tohr->value());
   KchildlockSettings::setApp1tomin_u1(user1->kcfg_App1tomin->value());
   KchildlockSettings::setApp1maxDhr_u1(user1->kcfg_App1maxDhr->value());
   KchildlockSettings::setApp1maxDmin_u1(user1->kcfg_App1maxDmin->value());
   KchildlockSettings::setApp1maxWhr_u1(user1->kcfg_App1maxWhr->value());
   KchildlockSettings::setApp1maxWmin_u1(user1->kcfg_App1maxWmin->value());

   KchildlockSettings::setApp2fromhr_u1(user1->kcfg_App2fromhr->value());
   KchildlockSettings::setApp2frommin_u1(user1->kcfg_App2frommin->value());
   KchildlockSettings::setApp2tohr_u1(user1->kcfg_App2tohr->value());
   KchildlockSettings::setApp2tomin_u1(user1->kcfg_App2tomin->value());
   KchildlockSettings::setApp2maxDhr_u1(user1->kcfg_App2maxDhr->value());
   KchildlockSettings::setApp2maxDmin_u1(user1->kcfg_App2maxDmin->value());
   KchildlockSettings::setApp2maxWhr_u1(user1->kcfg_App2maxWhr->value());
   KchildlockSettings::setApp2maxWmin_u1(user1->kcfg_App2maxWmin->value());

   KchildlockSettings::setApp3fromhr_u1(user1->kcfg_App3fromhr->value());
   KchildlockSettings::setApp3frommin_u1(user1->kcfg_App3frommin->value());
   KchildlockSettings::setApp3tohr_u1(user1->kcfg_App3tohr->value());
   KchildlockSettings::setApp3tomin_u1(user1->kcfg_App3tomin->value());
   KchildlockSettings::setApp3maxDhr_u1(user1->kcfg_App3maxDhr->value());
   KchildlockSettings::setApp3maxDmin_u1(user1->kcfg_App3maxDmin->value());
   KchildlockSettings::setApp3maxWhr_u1(user1->kcfg_App3maxWhr->value());
   KchildlockSettings::setApp3maxWmin_u1(user1->kcfg_App3maxWmin->value());

   kDebug() << value;
   emit changed(true);
}


void KchildlockConf::emitChanged_appname_u1(QString value)
{
   KchildlockSettings::setAppName1_u1(user1->kcfg_AppName1->text().toAscii().constData());
   KchildlockSettings::setAppName2_u1(user1->kcfg_AppName2->text().toAscii().constData());
   KchildlockSettings::setAppName3_u1(user1->kcfg_AppName3->text().toAscii().constData());
   kDebug() << value;
   emit changed(true);
}
